/// <reference types="lodash" resolution-mode="require"/>
import { GraphQLSchema } from "graphql";
import { SimplifiedIntrospection } from "./introspection/types.js";
export declare class schemaParser {
    location: string;
    schema: GraphQLSchema;
    simplifiedSchema: SimplifiedIntrospection;
    constructor(uri: string);
    loadSchema(uri: string): GraphQLSchema;
    getRoutes(): {
        params: {
            type: string[];
        };
    }[];
    getSidebar(prefix?: string): import("lodash").Dictionary<{
        kind: "OBJECT" | "INTERFACE" | "UNION" | "ENUM" | "INPUT_OBJECT" | "SCALAR";
        name: string;
        path: string;
    }[]>;
    getTypename(name: string): object;
}
//# sourceMappingURL=parser.d.ts.map